Atom feed of this document
 
 
 

 1.4. Update Server Name / Administrative Password

Verb URI Description
PUT /servers/id Updates the name and/or administrative password for the specified server.

Normal Response Code: 204

Error Response Codes: cloudServersFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), badMediaType(415), itemNotFound (404), buildInProgress (409), overLimit (413)

Status Transition: ACTIVE PASSWORD ACTIVE

This operation enables you to update the name and/or change the administrative password for the specified server. This operation changes the name but does not update the host name for the server in the Cloud Servers system and does not change host name of the server.

This operation does not return a response body.

 

Example 3.11. Update Server Name: JSON Request

{
  "server" :
    {
        "name" : "new-api-server-test",
	    "adminPass" : "newPassword"
    }
}

 

Example 3.12. Update Server Name: XML Request

<?xml version="1.0" encoding="UTF-8"?>
<server xmlns="http://docs.rackspacecloud.com/servers/api/v1.0"
    name="new-api-server-test-xml" adminPass="newPassword"/>